查询 T - Code 申请结果
POST
/erp/sc/routing/transparencyProduct/queryTCodeApplyProgress接口信息
| API Path | 请求协议 | 请求方式 | 令牌桶容量 |
|---|---|---|---|
/erp/sc/routing/transparencyProduct/queryTCodeApplyProgress | HTTPS | POST | — |
请求参数
task_nostring必填请求cURL示例
curl --location 'https://openapi.lingxing.com/erp/sc/routing/transparencyProduct/queryTCodeApplyProgress?app_key=value×tamp=value&sign=value' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer <access_token>' \
--data '{
"task_no": "c6709f6a-1539-4606-80f0-eb14d062c0b5"
}'
返回结果
HTTP 200 同时承载成功与业务失败;必须读取响应体 code:1 成功,0 失败。
codeinteger必填msgstringrequest_idstringdataobject必填隐藏子属性
task_nostring必填total_countinteger必填completed_countinteger必填progressinteger必填finishedboolean必填itemsarray<object>必填隐藏子属性
log_idstring必填apply_statusinteger必填apply_quantityinteger必填actual_quantityinteger必填asinstring必填seller_skustring必填error_msgstring必填tcodesarray<any>必填返回成功示例
{
"code": 1,
"msg": "操作成功",
"request_id": "",
"data": {
"task_no": "c6709f6a-1539-4606-80f0-eb14d062c0b5",
"total_count": 1,
"completed_count": 1,
"progress": 100,
"finished": true,
"items": [
{
"log_id": "10001",
"apply_status": 4,
"apply_quantity": 2,
"actual_quantity": 2,
"asin": "B0923L1BJ8",
"seller_sku": "DEMO-SKU",
"error_msg": "",
"tcodes": [
"DEMO-TCODE-001",
"DEMO-TCODE-002"
]
}
]
}
}